# Modify Backup Strategy - UpdateUPgSQLBackupStrategy

## Overview

Modify Backup Strategy






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `UpdateUPgSQLBackupStrategy`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **InstanceID** | string | DB Instance Id |**Yes**|
| **BackupTimeRange** | string | Estimated start time range for automatic backup (00:00\~23:59), for example: (3:00\~4:00) |No|
| **BackupWeek** | string | Automatic backup expected to start on which day of the week (1\~7). Default is 1,2,3,4,5,6,7 (Monday to Sunday) |No|
| **BackupMethod** | string | Select the default backup method |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|




## Example

### Request Example
    
```
https://api.genesissai.com/?Action=UpdateUPgSQLBackupStrategy
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=DPGIqJSY
&InstanceID=WWdNKgUh
&BackupTimeRange=OhRxlUBS
&BackupWeek=zSxsEbgb
&BackupMethod=hsQlFHWp
```

### Response Example
    
```json
{
  "Action": "UpdateUPgSQLBackupStrategyResponse",
  "Message": "MCrXpwDZ",
  "RetCode": 0
}
```





